petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPBCGSLSetEll

Sets the number of search directions in BiCGStab(L).

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPBCGSLSetEll(KSP ksp, PetscInt ell)

Logically Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate
| ell | - number of search directions

### Options Database Keys

-ksp_bcgsl_ell ell -

### Notes

For large ell it is common for the polynomial update problem to become singular (due to happy breakdown for smallish test problems, but also for larger problems). Consequently, by default, the system is solved by pseudoinverse, which allows the iteration to complete successfully. See KSPBCGSLSetUsePseudoinverse() to switch to a conventional solve.

### Keywords

BiCGStab(L), set, exact residuals,

### See Also

KSPBCGSLSetUsePseudoinverse(), KSP, KSPBCGSL

### Level

intermediate

### Location

src/ksp/ksp/impls/bcgsl/bcgsl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages